%global momorel 5

Summary:		Modern, advanced and high performance recursing/non authoritative nameserver
Name:			pdns-recursor
Version:		3.1.7
Release:		%{momorel}m%{?dist}

Group:			System Environment/Daemons
License:		GPLv2+
URL:			http://powerdns.com/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:		http://downloads.powerdns.com/releases/%{name}-%{version}.tar.bz2
NoSource:		0
Source1:		pdns-recursor.init

Patch0:			pdns-recursor-3.1.7-fixsysconfdir.patch
Patch1:			pdns-recursor-fixmakefile.patch
Patch2:			pdns-recursor-3.1.7-boost.patch
Patch3:                 pdns-recursor-3.1.7-gcc44.patch

Provides:		powerdns-recursor = %{version}-%{release}
BuildRequires:		boost-devel, lua-devel
Requires(post):		chkconfig
Requires(preun):	chkconfig, initscripts

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.

%prep
%setup -q
%patch0 -p1 -b .fixsysconfdir
%patch1 -p1 -b .fixmakefile
%patch2 -p1 -b .boost~
%patch3 -p1 -b .gcc44~

%build
LUA=1 LUA_CPPFLAGS_CONFIG= LUA_LIBS_CONFIG=-llua OPTFLAGS="%{optflags}" make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} CONFIGDIR="%{_sysconfdir}/%{name}"
%{__install} -D -p %{SOURCE1} %{buildroot}%{_initscriptdir}/pdns-recursor

%{__mv} %{buildroot}%{_sysconfdir}/%{name}/recursor.conf{-dist,}

# add pdns user and group to top of configfile
sed -i '1i\setuid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf
sed -i '2i\setgid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add %{name}
	userid=`id -u pdns-recursor 2>/dev/null`
	if [ x"$userid" = x ]; then
		%{_sbindir}/useradd -c "PowerDNS Recursor user" -s /sbin/nologin -r -d / pdns-recursor >/dev/null 2>&1 || :
	fi
fi
%preun
if [ $1 -eq 0 ]; then
	/sbin/service %{name} stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/rec_control
%{_sbindir}/pdns_recursor
%{_mandir}/man1/pdns_recursor.1.*
%{_mandir}/man1/rec_control.1.*
%{_initscriptdir}/pdns-recursor
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/recursor.conf
%doc COPYING README

%changelog
* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.7-5m)
- apply gcc44 patch

* Tue Jan 27 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.7-4m)
- add patch to fix build failure

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.7-3m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.7-2m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.7-1m)
- update to 3.1.7

* Mon Apr 14 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.5-1m)
- update to 3.1.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.4-4m)
- rebuild against gcc43

* Wed Feb 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.4-3m)
- add gcc43 patch

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.4-2m)
- use initscriptdir in Momonga instead of initrddir
- add %%doc rrd

* Fri Oct  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.4-1m)
- import to Momonga from fedora

* Sun Jan 27 2007 <ruben@rubenkerkhof.com> 3.1.4-4
- Now really fix the description in init script
* Sat Jan 27 2007 <ruben@rubenkerkhof.com> 3.1.4-3
- Fixed Description in init script
* Wed Jan 24 2007 <ruben@rubenkerkhof.com> 3.1.4-2
- Fixes per bz review 221188:
- Changed user to pdns-recursor
- Patched the Makefile to not strip debugsymbols
- Skipped the configure step, it didn't do much
- Added a more Fedora-centric initscript
- Use condrestart instead of restart in %%postun
* Sun Dec 31 2006 <ruben@rubenkerkhof.com> 3.1.4-1
- Initial import

